org.apache.tinkerpop.gremlin.driver.ser

## Class GraphSONMessageSerializerV2d0

- java.lang.Object
- - org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer
  - - org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV2d0
    - - org.apache.tinkerpop.gremlin.driver.ser.GraphSONMessageSerializerV2d0

- All Implemented Interfaces:
    MessageSerializer, MessageTextSerializer

      public final class GraphSONMessageSerializerV2d0
      extends AbstractGraphSONMessageSerializerV2d0
      implements MessageTextSerializer

  Serialize results to JSON with version 2.0.x schema and the extended module.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV2d0

      `AbstractGraphSONMessageSerializerV2d0.GremlinServerModule, AbstractGraphSONMessageSerializerV2d0.JsonBuilderJacksonSerializer, AbstractGraphSONMessageSerializerV2d0.RequestMessageDeserializer, AbstractGraphSONMessageSerializerV2d0.RequestMessageSerializer, AbstractGraphSONMessageSerializerV2d0.ResponseMessageDeserializer, AbstractGraphSONMessageSerializerV2d0.ResponseMessageSerializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV2d0

      `mapper, mapTypeReference`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer

      `TOKEN_IO_REGISTRIES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphSONMessageSerializerV2d0()`
    `GraphSONMessageSerializerV2d0(GraphSONMapper mapper)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RequestMessage` | `deserializeRequest(String msg)` Deserialize a Netty `ByteBuf` into a `RequestMessage`.
    `ResponseMessage` | `deserializeResponse(String msg)` Deserialize a Netty `ByteBuf` into a `ResponseMessage`.
    `String[]` | `mimeTypesSupported()` The list of mime types that the serializer supports.
    `String` | `serializeRequestAsString(RequestMessage requestMessage)`
    `String` | `serializeResponseAsString(ResponseMessage responseMessage)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV2d0

      `configure, serializeRequestAsBinary, serializeResponseAsBinary`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer

      `addIoRegistries, getListStringFromConfig, tryInstanceMethod`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.driver.MessageSerializer

      `configure, serializeRequestAsBinary, serializeResponseAsBinary`

- - ### Constructor Detail

    - #### GraphSONMessageSerializerV2d0

          public GraphSONMessageSerializerV2d0()

    - #### GraphSONMessageSerializerV2d0

          public GraphSONMessageSerializerV2d0(GraphSONMapper mapper)

  - ### Method Detail

    - #### mimeTypesSupported

          public String[] mimeTypesSupported()

      Description copied from interface: `MessageSerializer`
      The list of mime types that the serializer supports.
      Specified by:
        `mimeTypesSupported` in interface `MessageSerializer`

    - #### deserializeResponse

          public ResponseMessage deserializeResponse(String msg)
                                              throws SerializationException

      Description copied from interface: `MessageSerializer`
      Deserialize a Netty `ByteBuf` into a `ResponseMessage`.
      Specified by:
        `deserializeResponse` in interface `MessageSerializer`
      Specified by:
        `deserializeResponse` in interface `MessageTextSerializer`
      Overrides:
        `deserializeResponse` in class `AbstractGraphSONMessageSerializerV2d0`
      Throws:
        `SerializationException`

    - #### serializeResponseAsString

          public String serializeResponseAsString(ResponseMessage responseMessage)
                                           throws SerializationException

      Specified by:
        `serializeResponseAsString` in interface `MessageTextSerializer`
      Throws:
        `SerializationException`

    - #### deserializeRequest

          public RequestMessage deserializeRequest(String msg)
                                            throws SerializationException

      Description copied from interface: `MessageSerializer`
      Deserialize a Netty `ByteBuf` into a `RequestMessage`.
      Specified by:
        `deserializeRequest` in interface `MessageSerializer`
      Specified by:
        `deserializeRequest` in interface `MessageTextSerializer`
      Overrides:
        `deserializeRequest` in class `AbstractGraphSONMessageSerializerV2d0`
      Throws:
        `SerializationException`

    - #### serializeRequestAsString

          public String serializeRequestAsString(RequestMessage requestMessage)
                                          throws SerializationException

      Specified by:
        `serializeRequestAsString` in interface `MessageTextSerializer`
      Throws:
        `SerializationException`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.